@echo off
: -------------------------------
: if resources exist, build them
: -------------------------------
\masm32\bin\porc.exe /v rsrc.rc
\masm32\bin\cvtres.exe /machine:ix86 rsrc.res

if exist %1.obj del "project.obj"
if exist %1.exe del "project.exe"

: -----------------------------------------
: assemble Project.asm into an OBJ file
: -----------------------------------------
\masm32\bin\ml.exe /c /coff "project.asm"
if errorlevel 1 goto errasm

: --------------------------------------------------
: link the main OBJ file including the resource file
: --------------------------------------------------
\masm32\bin\polink.exe /SUBSYSTEM:WINDOWS "project.obj" rsrc.res
if errorlevel 1 goto errlink
dir "project.*"
goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd

pause
